diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
index 09ffa9ec5..ee87d9694 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
@@ -15,6 +15,8 @@ from flask import render_template
 
 from pgadmin.browser.collection import CollectionNodeModule
 from pgadmin.utils.ajax import internal_server_error
+from pgadmin.utils.driver import get_driver
+from config import PG_DEFAULT_DRIVER
 
 
 class SchemaChildModule(CollectionNodeModule):
@@ -485,44 +487,50 @@ class VacuumSettings:
         * type - table/toast vacuum type
 
     """
+    vacuum_settings = dict()
 
     def __init__(self):
         pass
 
-    def get_vacuum_table_settings(self, conn):
+    def fetch_default_vacuum_settings(self, conn, sid, setting_type):
         """
-        Fetch the default values for autovacuum
-        fields, return an array of
-          - label
-          - name
-          - setting
-        values
+        This function is used to fetch and cached the default vacuum settings
+        for specified server id.
+        :param conn: Connection Object
+        :param sid:  Server ID
+        :param setting_type: Type (table or toast)
+        :return:
         """
+        if sid in VacuumSettings.vacuum_settings:
+            if setting_type in VacuumSettings.vacuum_settings[sid]:
+                return VacuumSettings.vacuum_settings[sid][setting_type]
+        else:
+            VacuumSettings.vacuum_settings[sid] = dict()
 
         # returns an array of name & label values
         vacuum_fields = render_template("vacuum_settings/vacuum_fields.json")
-
         vacuum_fields = json.loads(vacuum_fields)
 
         # returns an array of setting & name values
         vacuum_fields_keys = "'" + "','".join(
-            vacuum_fields['table'].keys()) + "'"
+            vacuum_fields[setting_type].keys()) + "'"
         SQL = render_template('vacuum_settings/sql/vacuum_defaults.sql',
                               columns=vacuum_fields_keys)
-        status, res = conn.execute_dict(SQL)
 
+        status, res = conn.execute_dict(SQL)
         if not status:
             return internal_server_error(errormsg=res)
 
         for row in res['rows']:
             row_name = row['name']
-            row['name'] = vacuum_fields['table'][row_name][0]
-            row['label'] = vacuum_fields['table'][row_name][1]
-            row['column_type'] = vacuum_fields['table'][row_name][2]
+            row['name'] = vacuum_fields[setting_type][row_name][0]
+            row['label'] = vacuum_fields[setting_type][row_name][1]
+            row['column_type'] = vacuum_fields[setting_type][row_name][2]
 
-        return res
+        VacuumSettings.vacuum_settings[sid][setting_type] = res['rows']
+        return VacuumSettings.vacuum_settings[sid][setting_type]
 
-    def get_vacuum_toast_settings(self, conn):
+    def get_vacuum_table_settings(self, conn, sid):
         """
         Fetch the default values for autovacuum
         fields, return an array of
@@ -531,29 +539,18 @@ class VacuumSettings:
           - setting
         values
         """
+        return self.fetch_default_vacuum_settings(conn, sid, 'table')
 
-        # returns an array of name & label values
-        vacuum_fields = render_template("vacuum_settings/vacuum_fields.json")
-
-        vacuum_fields = json.loads(vacuum_fields)
-
-        # returns an array of setting & name values
-        vacuum_fields_keys = "'" + "','".join(
-            vacuum_fields['toast'].keys()) + "'"
-        SQL = render_template('vacuum_settings/sql/vacuum_defaults.sql',
-                              columns=vacuum_fields_keys)
-        status, res = conn.execute_dict(SQL)
-
-        if not status:
-            return internal_server_error(errormsg=res)
-
-        for row in res['rows']:
-            row_name = row['name']
-            row['name'] = vacuum_fields['toast'][row_name][0]
-            row['label'] = vacuum_fields['toast'][row_name][1]
-            row['column_type'] = vacuum_fields['table'][row_name][2]
-
-        return res
+    def get_vacuum_toast_settings(self, conn, sid):
+        """
+        Fetch the default values for autovacuum
+        fields, return an array of
+          - label
+          - name
+          - setting
+        values
+        """
+        return self.fetch_default_vacuum_settings(conn, sid, 'toast')
 
     def parse_vacuum_data(self, conn, result, type):
         """
@@ -567,47 +564,46 @@ class VacuumSettings:
         * type - table/toast vacuum type
         """
 
-        # returns an array of name & label values
-        vacuum_fields = render_template("vacuum_settings/vacuum_fields.json")
+        vacuum_settings_tmp = self.fetch_default_vacuum_settings(
+            conn, self.manager.sid, type)
 
-        vacuum_fields = json.loads(vacuum_fields)
+        for row in vacuum_settings_tmp:
+            row_name = row['name']
+            if type is 'toast':
+                row_name = 'toast_{0}'.format(row['name'])
+            if row_name in result and result[row_name] is not None:
+                if row['column_type'] == 'number':
+                    value = float(result[row_name])
+                else:
+                    value = int(result[row_name])
+                row['value'] = value
+            else:
+                if 'value' in row:
+                    row.pop('value')
 
-        # returns an array of setting & name values
-        vacuum_fields_keys = "'" + "','".join(
-            vacuum_fields[type].keys()) + "'"
-        SQL = render_template('vacuum_settings/sql/vacuum_defaults.sql',
-                              columns=vacuum_fields_keys)
-        status, res = conn.execute_dict(SQL)
+        return vacuum_settings_tmp
 
-        if not status:
-            return internal_server_error(errormsg=res)
 
-        if type is 'table':
-            for row in res['rows']:
-                row_name = row['name']
-                row['name'] = vacuum_fields[type][row_name][0]
-                row['label'] = vacuum_fields[type][row_name][1]
-                row['column_type'] = vacuum_fields[type][row_name][2]
-                if result[row['name']] is not None:
-                    if row['column_type'] == 'number':
-                        value = float(result[row['name']])
-                    else:
-                        value = int(result[row['name']])
-                    row['value'] = row['setting'] = value
-
-        elif type is 'toast':
-            for row in res['rows']:
-                row_old_name = row['name']
-                row_name = 'toast_{0}'.format(
-                    vacuum_fields[type][row_old_name][0])
-                row['name'] = vacuum_fields[type][row_old_name][0]
-                row['label'] = vacuum_fields[type][row_old_name][1]
-                row['column_type'] = vacuum_fields[type][row_old_name][2]
-                if result[row_name] and result[row_name] is not None:
-                    if row['column_type'] == 'number':
-                        value = float(result[row_name])
-                    else:
-                        value = int(result[row_name])
-                    row['value'] = row['setting'] = value
+def get_schema(sid, did, scid):
+    """
+    This function will return the schema name.
+    """
+
+    driver = get_driver(PG_DEFAULT_DRIVER)
+    manager = driver.connection_manager(sid)
+    conn = manager.connection(did=did)
+
+    ver = manager.version
+    server_type = manager.server_type
+
+    # Fetch schema name
+    status, schema_name = conn.execute_scalar(
+        render_template("/".join(['schemas',
+                                  '{0}/#{1}#'.format(server_type,
+                                                     ver),
+                                  'sql/get_name.sql']),
+                        conn=conn, scid=scid
+                        )
+    )
 
-        return res['rows']
+    return status, schema_name
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 7e37c0357..b03136891 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -2,13 +2,14 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
 
 """Implements View and Materialized View Node"""
 
+import copy
 from functools import wraps
 
 import simplejson as json
@@ -18,13 +19,16 @@ from flask_babelex import gettext
 import pgadmin.browser.server_groups.servers.databases as databases
 from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
-    SchemaChildModule, parse_rule_definition, VacuumSettings
+    SchemaChildModule, parse_rule_definition, VacuumSettings, get_schema
 from pgadmin.browser.server_groups.servers.utils import parse_priv_from_db, \
     parse_priv_to_db
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
+from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
+from pgadmin.tools.schema_diff.compare import SchemaDiffObjectCompare
+
 
 """
     This module is responsible for generating two nodes
@@ -197,7 +201,7 @@ def check_precondition(f):
     return wrap
 
 
-class ViewNode(PGChildNodeView, VacuumSettings):
+class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
     """
     This class is responsible for generating routes for view node.
 
@@ -250,6 +254,10 @@ class ViewNode(PGChildNodeView, VacuumSettings):
     * dependent(gid, sid, did, scid):
       - This function will generate dependent list to show it in dependent
         pane for the selected view node.
+
+    * compare(**kwargs):
+      - This function will compare the view nodes from two
+        different schemas.
     """
     node_type = view_blueprint.node_type
 
@@ -290,6 +298,8 @@ class ViewNode(PGChildNodeView, VacuumSettings):
             {'get': 'get_toast_table_vacuum'}]
     })
 
+    keys_to_ignore = ['oid', 'schema', 'xmin']
+
     def __init__(self, *args, **kwargs):
         """
         Initialize the variables used by methods of ViewNode.
@@ -400,21 +410,37 @@ class ViewNode(PGChildNodeView, VacuumSettings):
         Fetches the properties of an individual view
         and render in the properties tab
         """
+        status, res = self._fetch_properties(scid, vid)
+        if not status:
+            return res
+
+        return ajax_response(
+            response=res,
+            status=200
+        )
+
+    def _fetch_properties(self, scid, vid):
+        """
+        This function is used to fetch the properties of the specified object
+        :param scid:
+        :param vid:
+        :return:
+        """
         SQL = render_template("/".join(
             [self.template_path, 'sql/properties.sql']
         ), vid=vid, datlastsysoid=self.datlastsysoid)
         status, res = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return False, internal_server_error(errormsg=res)
 
         if len(res['rows']) == 0:
-            return gone(gettext("""Could not find the view."""))
+            return False, gone(gettext("""Could not find the view."""))
 
         SQL = render_template("/".join(
             [self.template_path, 'sql/acl.sql']), vid=vid)
         status, dataclres = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return False, internal_server_error(errormsg=res)
 
         for row in dataclres['rows']:
             priv = parse_priv_from_db(row)
@@ -428,10 +454,7 @@ class ViewNode(PGChildNodeView, VacuumSettings):
         # merging formated result with main result again
         result.update(frmtd_reslt)
 
-        return ajax_response(
-            response=result,
-            status=200
-        )
+        return True, result
 
     @staticmethod
     def formatter(result):
@@ -556,7 +579,7 @@ class ViewNode(PGChildNodeView, VacuumSettings):
             return internal_server_error(errormsg=str(e))
 
     @check_precondition
-    def delete(self, gid, sid, did, scid, vid=None):
+    def delete(self, gid, sid, did, scid, vid=None, only_sql=False):
         """
         This function will drop a view object
         """
@@ -604,6 +627,10 @@ class ViewNode(PGChildNodeView, VacuumSettings):
                     nspname=res_data['rows'][0]['schema'],
                     name=res_data['rows'][0]['name'], cascade=cascade
                 )
+
+                if only_sql:
+                    return SQL
+
                 status, res = self.conn.execute_scalar(SQL)
                 if not status:
                     return internal_server_error(errormsg=res)
@@ -840,7 +867,7 @@ class ViewNode(PGChildNodeView, VacuumSettings):
 
         return columns
 
-    def get_rule_sql(self, vid):
+    def get_rule_sql(self, vid, display_comments=True):
         """
         Get all non system rules of view node,
         generate their sql and render
@@ -869,12 +896,12 @@ class ViewNode(PGChildNodeView, VacuumSettings):
                 res = parse_rule_definition(res)
                 SQL = render_template("/".join(
                     [self.rule_temp_path, 'sql/create.sql']),
-                    data=res, display_comments=True)
+                    data=res, display_comments=display_comments)
                 SQL_data += '\n'
                 SQL_data += SQL
         return SQL_data
 
-    def get_compound_trigger_sql(self, vid):
+    def get_compound_trigger_sql(self, vid, display_comments=True):
         """
         Get all compound trigger nodes associated with view node,
         generate their sql and render into sql tab
@@ -945,13 +972,13 @@ class ViewNode(PGChildNodeView, VacuumSettings):
                     [self.ct_trigger_temp_path,
                      'sql/{0}/#{1}#/create.sql'.format(
                          self.manager.server_type, self.manager.version)]),
-                    data=res_rows, display_comments=True)
+                    data=res_rows, display_comments=display_comments)
                 SQL_data += '\n'
                 SQL_data += SQL
 
         return SQL_data
 
-    def get_trigger_sql(self, vid):
+    def get_trigger_sql(self, vid, display_comments=True):
         """
         Get all trigger nodes associated with view node,
         generate their sql and render
@@ -1038,13 +1065,13 @@ class ViewNode(PGChildNodeView, VacuumSettings):
                 [self.trigger_temp_path,
                  'sql/{0}/#{1}#/create.sql'.format(
                      self.manager.server_type, self.manager.version)]),
-                data=res_rows, display_comments=True)
+                data=res_rows, display_comments=display_comments)
             SQL_data += '\n'
             SQL_data += SQL
 
         return SQL_data
 
-    def get_index_sql(self, did, vid):
+    def get_index_sql(self, did, vid, display_comments=True):
         """
         Get all index associated with view node,
         generate their sql and render
@@ -1084,17 +1111,23 @@ class ViewNode(PGChildNodeView, VacuumSettings):
             SQL = render_template("/".join(
                 [self.index_temp_path,
                  'sql/#{0}#/create.sql'.format(self.manager.version)]),
-                data=data, display_comments=True)
+                data=data, display_comments=display_comments)
             SQL_data += '\n'
             SQL_data += SQL
         return SQL_data
 
     @check_precondition
-    def sql(self, gid, sid, did, scid, vid):
+    def sql(self, gid, sid, did, scid, vid, diff_schema=None,
+            json_resp=True):
         """
         This function will generate sql to render into the sql panel
         """
 
+        display_comments = True
+
+        if not json_resp:
+            display_comments = False
+
         SQL_data = ''
         SQL = render_template("/".join(
             [self.template_path, 'sql/properties.sql']),
@@ -1111,6 +1144,9 @@ class ViewNode(PGChildNodeView, VacuumSettings):
             )
 
         result = res['rows'][0]
+        if diff_schema:
+            result['schema'] = diff_schema
+
         # sending result to formtter
         frmtd_reslt = self.formatter(result)
 
@@ -1152,18 +1188,20 @@ class ViewNode(PGChildNodeView, VacuumSettings):
             [self.template_path, 'sql/create.sql']),
             data=result,
             conn=self.conn,
-            display_comments=True
+            display_comments=display_comments
         )
         SQL += "\n"
         SQL += render_template("/".join(
             [self.template_path, 'sql/grant.sql']), data=result)
 
         SQL_data += SQL
-        SQL_data += self.get_rule_sql(vid)
-        SQL_data += self.get_trigger_sql(vid)
-        SQL_data += self.get_compound_trigger_sql(vid)
-        SQL_data += self.get_index_sql(did, vid)
+        SQL_data += self.get_rule_sql(vid, display_comments)
+        SQL_data += self.get_trigger_sql(vid, display_comments)
+        SQL_data += self.get_compound_trigger_sql(vid, display_comments)
+        SQL_data += self.get_index_sql(did, vid, display_comments)
 
+        if not json_resp:
+            return SQL_data
         return ajax_response(response=SQL_data)
 
     @check_precondition
@@ -1357,6 +1395,60 @@ class ViewNode(PGChildNodeView, VacuumSettings):
 
         return ajax_response(response=sql)
 
+    @check_precondition
+    def fetch_objects_to_compare(self, sid, did, scid, oid=None):
+        """
+        This function will fetch the list of all the views for
+        specified schema id.
+
+        :param sid: Server Id
+        :param did: Database Id
+        :param scid: Schema Id
+        :return:
+        """
+        res = dict()
+
+        if not oid:
+            SQL = render_template("/".join([self.template_path,
+                                            'sql/nodes.sql']), did=did,
+                                  scid=scid, datlastsysoid=self.datlastsysoid)
+            status, views = self.conn.execute_2darray(SQL)
+            if not status:
+                current_app.logger.error(views)
+                return False
+
+            for row in views['rows']:
+                status, data = self._fetch_properties(scid, row['oid'])
+                if status:
+                    res[row['name']] = data
+        else:
+            status, data = self._fetch_properties(scid, oid)
+            if not status:
+                current_app.logger.error(data)
+                return False
+            res = data
+
+        return res
+
+    def get_sql_from_diff(self, gid, sid, did, scid, oid, data=None,
+                          diff_schema=None, drop_sql=False):
+        sql = ''
+        if data:
+            if diff_schema:
+                data['schema'] = diff_schema
+            sql, nameOrError = self.getSQL(gid, sid, did, data, oid)
+        else:
+            if drop_sql:
+                sql = self.delete(gid=gid, sid=sid, did=did,
+                                  scid=scid, vid=oid, only_sql=True)
+            elif diff_schema:
+                sql = self.sql(gid=gid, sid=sid, did=did, scid=scid, vid=oid,
+                               diff_schema=diff_schema, json_resp=False)
+            else:
+                sql = self.sql(gid=gid, sid=sid, did=did, scid=scid, vid=oid,
+                               json_resp=False)
+        return sql
+
 
 # Override the operations for materialized view
 mview_operations = {
@@ -1631,11 +1723,17 @@ class MViewNode(ViewNode, VacuumSettings):
         return SQL, data['name'] if 'name' in data else old_data['name']
 
     @check_precondition
-    def sql(self, gid, sid, did, scid, vid):
+    def sql(self, gid, sid, did, scid, vid, diff_schema=None,
+            json_resp=True):
         """
         This function will generate sql to render into the sql panel
         """
 
+        display_comments = True
+
+        if not json_resp:
+            display_comments = False
+
         SQL_data = ''
         SQL = render_template("/".join(
             [self.template_path, 'sql/properties.sql']),
@@ -1654,6 +1752,9 @@ class MViewNode(ViewNode, VacuumSettings):
 
         result = res['rows'][0]
 
+        if diff_schema:
+            result['schema'] = diff_schema
+
         # sending result to formtter
         frmtd_reslt = self.formatter(result)
 
@@ -1732,17 +1833,20 @@ class MViewNode(ViewNode, VacuumSettings):
             [self.template_path, 'sql/create.sql']),
             data=result,
             conn=self.conn,
-            display_comments=True
+            display_comments=display_comments
         )
         SQL += "\n"
         SQL += render_template("/".join(
             [self.template_path, 'sql/grant.sql']), data=result)
 
         SQL_data += SQL
-        SQL_data += self.get_rule_sql(vid)
-        SQL_data += self.get_trigger_sql(vid)
-        SQL_data += self.get_index_sql(did, vid)
+        SQL_data += self.get_rule_sql(vid, display_comments)
+        SQL_data += self.get_trigger_sql(vid, display_comments)
+        SQL_data += self.get_index_sql(did, vid, display_comments)
         SQL_data = SQL_data.strip('\n')
+
+        if not json_resp:
+            return SQL_data
         return ajax_response(response=SQL_data)
 
     @check_precondition
@@ -1756,9 +1860,9 @@ class MViewNode(ViewNode, VacuumSettings):
         values
         """
 
-        res = self.get_vacuum_table_settings(self.conn)
+        res = self.get_vacuum_table_settings(self.conn, sid)
         return ajax_response(
-            response=res['rows'],
+            response=res,
             status=200
         )
 
@@ -1772,10 +1876,10 @@ class MViewNode(ViewNode, VacuumSettings):
           - setting
         values
         """
-        res = self.get_vacuum_toast_settings(self.conn)
+        res = self.get_vacuum_toast_settings(self.conn, sid)
 
         return ajax_response(
-            response=res['rows'],
+            response=res,
             status=200
         )
 
@@ -1785,21 +1889,39 @@ class MViewNode(ViewNode, VacuumSettings):
         Fetches the properties of an individual view
         and render in the properties tab
         """
+        status, res = self._fetch_properties(did, scid, vid)
+        if not status:
+            return res
+
+        return ajax_response(
+            response=res,
+            status=200
+        )
+
+    def _fetch_properties(self, did, scid, vid):
+        """
+        This function is used to fetch the properties of the specified object
+        :param did:
+        :param scid:
+        :param vid:
+        :return:
+        """
         SQL = render_template("/".join(
             [self.template_path, 'sql/properties.sql']
         ), did=did, vid=vid, datlastsysoid=self.datlastsysoid)
         status, res = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return False, internal_server_error(errormsg=res)
 
         if len(res['rows']) == 0:
-            return gone(gettext("""Could not find the materialized view."""))
+            return False, gone(
+                gettext("""Could not find the materialized view."""))
 
         SQL = render_template("/".join(
             [self.template_path, 'sql/acl.sql']), vid=vid)
         status, dataclres = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return False, internal_server_error(errormsg=res)
 
         for row in dataclres['rows']:
             priv = parse_priv_from_db(row)
@@ -1818,10 +1940,7 @@ class MViewNode(ViewNode, VacuumSettings):
         result['vacuum_toast'] = self.parse_vacuum_data(
             self.conn, result, 'toast')
 
-        return ajax_response(
-            response=result,
-            status=200
-        )
+        return True, result
 
     @check_precondition
     def refresh_data(self, gid, sid, did, scid, vid):
@@ -1873,6 +1992,34 @@ class MViewNode(ViewNode, VacuumSettings):
             current_app.logger.exception(e)
             return internal_server_error(errormsg=str(e))
 
+    @check_precondition
+    def fetch_objects_to_compare(self, sid, did, scid, oid=None):
+        """
+        This function will fetch the list of all the mviews for
+        specified schema id.
+
+        :param sid: Server Id
+        :param did: Database Id
+        :param scid: Schema Id
+        :return:
+        """
+        res = dict()
+        SQL = render_template("/".join([self.template_path,
+                                        'sql/nodes.sql']), did=did,
+                              scid=scid, datlastsysoid=self.datlastsysoid)
+        status, rset = self.conn.execute_2darray(SQL)
+        if not status:
+            return internal_server_error(errormsg=res)
+
+        for row in rset['rows']:
+            status, data = self._fetch_properties(did, scid, row['oid'])
+            if status:
+                res[row['name']] = data
+
+        return res
+
 
+SchemaDiffRegistry(view_blueprint.node_type, ViewNode)
 ViewNode.register_node_view(view_blueprint)
+SchemaDiffRegistry(mview_blueprint.node_type, MViewNode)
 MViewNode.register_node_view(mview_blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index d5e2d74a3..77f5d6b60 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
index 1b357fa97..e85bd7f15 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
index 770879943..23caf9dd8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
index c84276ef6..6cfb2c075 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
index af911d4e9..554eff78c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
index bcc22c8f8..27f844281 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete_multiple.py
index 6a22a7157..12443c1d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete_multiple.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
